> For the complete documentation index, see [llms.txt](https://docs.pinky.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pinky.finance/token-types/meme-coin.md).

# Meme Coin

A "meme coin" is a type of cryptocurrency that derives its value and popularity from internet memes, online communities, and social media trends rather than traditional fundamental factors. Meme coins often have playful, humorous, or quirky branding that resonates with internet culture. They can gain rapid attention and widespread adoption due to their unique appeal and the power of online communities.

To generate your own meme coin [click here](https://www.pinky.finance/launchpads/create-token).

### Smart Contract Methods

**Read methods:**

1. allowance
2. balanceOf
3. blacklists
4. decimals
5. limited
6. minHoldingAmount
7. maxHoldingAmount
8. name
9. owner
10. symbol
11. totalSupply
12. UniswapV2Pair

**Write methods:**

1. approve
2. blacklist
3. burn
4. decreaseAllowance
5. increaseAllowance
6. renounceOwnership
7. setRule
8. transfer
9. transferFrom
10. transferOwnership

{% hint style="info" %}
This token as any other token is compatible with our Launchpad, and your tokens can be sold on our Launchpad!
{% endhint %}

{% content-ref url="/pages/9BWqeJsS9yKxiTR9IyTB" %}
[Services Fees](/about-us/services-fees.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pinky.finance/token-types/meme-coin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
